> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitpayapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Coupon

> Delete a coupon by ID



## OpenAPI

````yaml delete /v1/coupons/{coupon_id}
openapi: 3.1.1
info:
  title: HitPay API
  description: >-
    Accept PayNow, FPX, GrabPay, cards, and 40+ payment methods with a single
    API. Production base URL: https://api.hit-pay.com, Sandbox:
    https://api.sandbox.hit-pay.com
  version: '1.0'
servers:
  - url: https://api.hit-pay.com
    description: Production
  - url: https://api.sandbox.hit-pay.com
    description: Sandbox
security: []
paths:
  /v1/coupons/{coupon_id}:
    delete:
      summary: Delete Coupon
      description: Delete a coupon. Customers can no longer use its code.
      operationId: delete-coupon
      parameters:
        - name: X-BUSINESS-API-KEY
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            example: b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d
        - name: coupon_id
          in: path
          required: true
          description: The coupon ID.
          schema:
            type: string
            format: uuid
      responses:
        '204':
          description: Deleted. Empty body.
        '403':
          description: The coupon belongs to another business
          content:
            application/json:
              examples:
                Result:
                  value:
                    message: ''
        '404':
          description: Coupon not found
          content:
            application/json:
              examples:
                Result:
                  value:
                    error_code: model_not_found
                    message: 'No query results for Coupon #<coupon_id>'
      deprecated: false

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.